Index: trunk/SophyaExt/FitsIOServer/Makefile
===================================================================
--- trunk/SophyaExt/FitsIOServer/Makefile	(revision 2763)
+++ trunk/SophyaExt/FitsIOServer/Makefile	(revision 2765)
@@ -12,6 +12,5 @@
  
 $(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefits.h \
+  $(SOPHYAINCP)sopnamsp.h datacirclefits.h \
   $(SOPHYAINCP)datacirclebase.h \
   $(SOPHYAINCP)circle.h \
@@ -24,11 +23,10 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefits.cc
  
 $(SOPHYAOBJP)fabtcolread.o: fabtcolread.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fabtcolread.h \
+  $(SOPHYAINCP)pexceptions.h fabtcolread.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tvector.h \
@@ -48,11 +46,10 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtcolread.cc
  
 $(SOPHYAOBJP)fabtwriter.o: fabtwriter.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fabtwriter.h \
+  $(SOPHYAINCP)pexceptions.h fabtwriter.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tvector.h \
@@ -72,65 +69,58 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtwriter.cc
  
 $(SOPHYAOBJP)fboloread.o: fboloread.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fboloread.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fabtcolread.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)pexceptions.h fboloread.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fabtcolread.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fboloread.cc
  
 $(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fbtntintf.h \
+  $(SOPHYAINCP)pexceptions.h fbtntintf.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fbtntintf.cc
  
 $(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsautoreader.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)machdefs.h fitsautoreader.h \
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)utilarr.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -144,20 +134,15 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  fitsntuple.h \
+  $(SOPHYAINCP)HEALPixUtils.h fitsntuple.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h \
-  fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h \
-  fbtntintf.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ntupintf.h fitsxntuple.h \
+  $(SOPHYAINCP)xntuple.h fitslocalmap.h \
+  $(SOPHYAINCP)localmap.h fbtntintf.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsautoreader.cc
  
 $(SOPHYAOBJP)fitsbntbllineRW.o: fitsbntbllineRW.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsbntbllineRW.h \
+  $(SOPHYAINCP)machdefs.h fitsbntbllineRW.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -173,10 +158,9 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)utils.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbntbllineRW.cc
  
 $(SOPHYAOBJP)fitsfile.o: fitsfile.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsfile.h \
+  $(SOPHYAINCP)machdefs.h fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -192,6 +176,5 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)strutil.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)strutil.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -209,10 +192,9 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)HEALPixUtils.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsfile.cc
  
 $(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitslocalmap.h \
+  $(SOPHYAINCP)machdefs.h fitslocalmap.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)localmap.h \
@@ -239,66 +221,61 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitslocalmap.cc
+ 
+$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsntuple.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsntuple.cc
+ 
+$(SOPHYAOBJP)fitsspherehealpix.o: fitsspherehealpix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsspherehealpix.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)mutyv.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fitsspherehealpix.o: fitsspherehealpix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsspherehealpix.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitstarray.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)HEALPixUtils.h fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherehealpix.cc
  
 $(SOPHYAOBJP)fitsspherethetaphi.o: fitsspherethetaphi.cc \
@@ -330,39 +307,34 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitstarray.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherethetaphi.cc
  
 $(SOPHYAOBJP)fitstarray.o: fitstarray.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)pexceptions.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitstarray.cc
  
 $(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsxntuple.h \
+  $(SOPHYAINCP)machdefs.h fitsxntuple.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -379,4 +351,4 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
+ 
Index: trunk/SophyaExt/FitsIOServer/smakefile
===================================================================
--- trunk/SophyaExt/FitsIOServer/smakefile	(revision 2763)
+++ trunk/SophyaExt/FitsIOServer/smakefile	(revision 2765)
@@ -12,6 +12,5 @@
  
 $(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefits.h \
+  $(SOPHYAINCP)sopnamsp.h datacirclefits.h \
   $(SOPHYAINCP)datacirclebase.h \
   $(SOPHYAINCP)circle.h \
@@ -24,11 +23,10 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefits.cc
  
 $(SOPHYAOBJP)fabtcolread.o: fabtcolread.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fabtcolread.h \
+  $(SOPHYAINCP)pexceptions.h fabtcolread.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tvector.h \
@@ -48,11 +46,10 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtcolread.cc
  
 $(SOPHYAOBJP)fabtwriter.o: fabtwriter.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fabtwriter.h \
+  $(SOPHYAINCP)pexceptions.h fabtwriter.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tvector.h \
@@ -72,65 +69,58 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtwriter.cc
  
 $(SOPHYAOBJP)fboloread.o: fboloread.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fboloread.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fabtcolread.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)pexceptions.h fboloread.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fabtcolread.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fboloread.cc
  
 $(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fbtntintf.h \
+  $(SOPHYAINCP)pexceptions.h fbtntintf.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fbtntintf.cc
  
 $(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsautoreader.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)machdefs.h fitsautoreader.h \
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)utilarr.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -144,20 +134,15 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  fitsntuple.h \
+  $(SOPHYAINCP)HEALPixUtils.h fitsntuple.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h \
-  fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h \
-  fbtntintf.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ntupintf.h fitsxntuple.h \
+  $(SOPHYAINCP)xntuple.h fitslocalmap.h \
+  $(SOPHYAINCP)localmap.h fbtntintf.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsautoreader.cc
  
 $(SOPHYAOBJP)fitsbntbllineRW.o: fitsbntbllineRW.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsbntbllineRW.h \
+  $(SOPHYAINCP)machdefs.h fitsbntbllineRW.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -173,10 +158,9 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)utils.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbntbllineRW.cc
  
 $(SOPHYAOBJP)fitsfile.o: fitsfile.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsfile.h \
+  $(SOPHYAINCP)machdefs.h fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -192,6 +176,5 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)strutil.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)strutil.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -209,10 +192,9 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)HEALPixUtils.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsfile.cc
  
 $(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitslocalmap.h \
+  $(SOPHYAINCP)machdefs.h fitslocalmap.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)localmap.h \
@@ -239,66 +221,61 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitslocalmap.cc
+ 
+$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsntuple.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsntuple.cc
+ 
+$(SOPHYAOBJP)fitsspherehealpix.o: fitsspherehealpix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsspherehealpix.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)mutyv.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)fitsspherehealpix.o: fitsspherehealpix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsspherehealpix.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitstarray.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)HEALPixUtils.h fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherehealpix.cc
  
 $(SOPHYAOBJP)fitsspherethetaphi.o: fitsspherethetaphi.cc \
@@ -330,39 +307,34 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitstarray.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherethetaphi.cc
  
 $(SOPHYAOBJP)fitstarray.o: fitstarray.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)pexceptions.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitstarray.cc
  
 $(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsxntuple.h \
+  $(SOPHYAINCP)machdefs.h fitsxntuple.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -379,4 +351,4 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
+ 
Index: trunk/SophyaExt/IFFTW/Makefile
===================================================================
--- trunk/SophyaExt/IFFTW/Makefile	(revision 2763)
+++ trunk/SophyaExt/IFFTW/Makefile	(revision 2765)
@@ -12,6 +12,5 @@
  
 $(SOPHYAOBJP)fftwserver.o: fftwserver.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftwserver.h \
+  $(SOPHYAINCP)sopnamsp.h fftwserver.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)fftservintf.h \
@@ -34,4 +33,4 @@
   $(SOPHYAINCP)FFTW/fftw.h \
   $(SOPHYAINCP)FFTW/rfftw.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftwserver.cc
  
Index: trunk/SophyaExt/IFFTW/smakefile
===================================================================
--- trunk/SophyaExt/IFFTW/smakefile	(revision 2763)
+++ trunk/SophyaExt/IFFTW/smakefile	(revision 2765)
@@ -12,6 +12,5 @@
  
 $(SOPHYAOBJP)fftwserver.o: fftwserver.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftwserver.h \
+  $(SOPHYAINCP)sopnamsp.h fftwserver.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)fftservintf.h \
@@ -34,4 +33,4 @@
   $(SOPHYAINCP)FFTW/fftw.h \
   $(SOPHYAINCP)FFTW/rfftw.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftwserver.cc
  
Index: trunk/SophyaExt/LinAlg/Makefile
===================================================================
--- trunk/SophyaExt/LinAlg/Makefile	(revision 2763)
+++ trunk/SophyaExt/LinAlg/Makefile	(revision 2765)
@@ -12,6 +12,5 @@
  
 $(SOPHYAOBJP)intflapack.o: intflapack.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  intflapack.h \
+  $(SOPHYAINCP)sopnamsp.h intflapack.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarray.h \
@@ -31,4 +30,4 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  intflapack.cc
  
Index: trunk/SophyaExt/LinAlg/smakefile
===================================================================
--- trunk/SophyaExt/LinAlg/smakefile	(revision 2763)
+++ trunk/SophyaExt/LinAlg/smakefile	(revision 2765)
@@ -12,6 +12,5 @@
  
 $(SOPHYAOBJP)intflapack.o: intflapack.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  intflapack.h \
+  $(SOPHYAINCP)sopnamsp.h intflapack.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarray.h \
@@ -31,4 +30,4 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  intflapack.cc
  
Index: trunk/SophyaExt/XAstroPack/Makefile
===================================================================
--- trunk/SophyaExt/XAstroPack/Makefile	(revision 2763)
+++ trunk/SophyaExt/XAstroPack/Makefile	(revision 2765)
@@ -12,16 +12,14 @@
  
 $(SOPHYAOBJP)mollweide.o: mollweide.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  mollweide.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h mollweide.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mollweide.cc
  
 $(SOPHYAOBJP)xastropack.o: xastropack.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  xastropack.h \
+  $(SOPHYAINCP)sopnamsp.h xastropack.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)XAstro/astro.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xastropack.cc
  
 $(SOPHYAOBJP)magfield.o: magfield.c magfield.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  magfield.c
  
Index: trunk/SophyaExt/XAstroPack/smakefile
===================================================================
--- trunk/SophyaExt/XAstroPack/smakefile	(revision 2763)
+++ trunk/SophyaExt/XAstroPack/smakefile	(revision 2765)
@@ -12,16 +12,14 @@
  
 $(SOPHYAOBJP)mollweide.o: mollweide.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  mollweide.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h mollweide.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mollweide.cc
  
 $(SOPHYAOBJP)xastropack.o: xastropack.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  xastropack.h \
+  $(SOPHYAINCP)sopnamsp.h xastropack.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)XAstro/astro.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xastropack.cc
  
 $(SOPHYAOBJP)magfield.o: magfield.c magfield.h
-	$(CCOMPILE) -o $@ $<
+	$(CCOMPILE) -o $@  magfield.c
  
